Subject: bug#21498: macos: `ps -ef | grep "test"` in eshell beeps

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 02 Dec 2021 10:28:20 +0100

Stefan Kangas <[email-masked]> writes:

> The recipe can in my case be simplified to:
>
> 0. emacs -Q
> 1. M-x eshell
> 2. echo foo | grep foo
>
> Results: I see the line "foo" printed, then it stalls until I kill it
> with C-c.
>
> I never see the beep the OP talks about, but I see the same stalling
> as above when I say 'ps -ef | grep "test"'.
>
> Perhaps this is caused by some difference between BSD grep and GNU
> grep.

I re-tested this in Emacs 29 with the current Macos, and the bug is
still present there.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no